MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001215XdebugUsage problems (Wrong Results)public2015-11-29 15:002015-12-07 11:32
Reporterderick 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4.0rc1 
Target Version2.4.0Fixed in Version2.4.0rc2 
Summary0001215: SIGSEGV if xdebug.trace_output_dir directory does not exist
DescriptionIf you use xdebug.trace_output_dir with a directory that does not exist, Xdebug segfaults when trying to create the trace file.
Steps To Reproducephp -dxdebug.auto_trace=1 -dxdebug.trace_output_dir=/tmp/Flumberwocky -r 'echo strlen(234);'
TagsNo tags attached.
Operating System
PHP Version5.6.15-5.6.19
Attached Files

- Relationships

-  Notes
(0003269)
derick (administrator)
2015-11-29 15:11

Fixed for 2.4.0. (And the original was reporting at https://bugzilla.redhat.com/show_bug.cgi?id=1286117 [^])

- Issue History
Date Modified Username Field Change
2015-11-29 15:00 derick New Issue
2015-11-29 15:00 derick Status new => assigned
2015-11-29 15:00 derick Assigned To => derick
2015-11-29 15:11 derick Note Added: 0003269
2015-11-29 15:11 derick Status assigned => closed
2015-11-29 15:11 derick Resolution open => fixed
2015-11-29 15:11 derick Fixed in Version => 2.4.0
2015-12-07 11:32 derick Fixed in Version 2.4.0 => 2.4.0rc2
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker